Name:             maven-filtering
Version:          1.0
Release:          %mkrel 1
Summary:          Shared component providing resource filtering
Group:            Development/Java
License:          ASL 2.0
URL:              http://maven.apache.org/shared/%{name}/index.html

Source0:          http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
Source1:          maven-filtering.depmap
Patch0:           maven-filtering-1.0-component-metadata.patch
BuildArch:        noarch

BuildRequires:  maven
BuildRequires:  maven-changes-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  plexus-build-api
BuildRequires:  plexus-container-default
#BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-interpolation
BuildRequires:  plexus-containers-component-metadata
BuildRequires:  plexus-utils
BuildRequires:  sisu

Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
Requires:       maven
Requires:       plexus-build-api
Requires:       plexus-container-default
#Requires:       plexus-containers-container-default
Requires:       plexus-interpolation
Requires:       plexus-utils

Provides:         maven-shared-filtering = 1.0-99
Obsoletes:        maven-shared-filtering < 1.0-99 

%description
These Plexus components have been built from the filtering process/code in 
Maven Resources Plugin. The goal is to provide a shared component for all 
plugins that needs to filter resources.

%package javadoc
Group:            Development/Java
Summary:          Javadoc for %{name}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
# Tests use a package that is no longer present in plexus-build-api (v0.0.7)
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.skip=true
# -Dmaven.local.depmap.file="%{SOURCE1}"

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc DEPENDENCIES LICENSE NOTICE
%{_javadir}/*
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}



%changelog

* Sat Dec 10 2011 gil <gil> 1.0-1.mga2
+ Revision: 180004
- build fix
  migration from plexus-maven-plugin to plexus-containers-component-metadata

  + dmorgan <dmorgan>
    - imported package maven-filtering


* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-5
- Really fixed Provides/Obsoletes

* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-4
- Fixed Provides/Obsoletes

* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-3
- Added Provides/Obsoletes

* Tue Aug 16 2011 Tomas Radej <tradej@redhat.com> 1.0-2
- Removed rm -rf {buildroot}

* Tue Aug 16 2011 Tomas Radej <tradej@redhat.com> 1.0-1
- Initial release (thanks to the GULaG team)

